Package org.kapott.hbci.GV_Result

## Class GVRTermUebList.Entry

- java.lang.Object
- - org.kapott.hbci.GV_Result.GVRTermUebList.Entry

Enclosing class:
  GVRTermUebList

    public static class GVRTermUebList.Entry
    extends java.lang.Object

Informationen zu einem einzelnen terminierten Überweisungsauftrag

### Field Summary

Fields
`java.lang.String` `addkey` weitere Informationen zum Typ der Überweisung (bankintern, optional)
`boolean` `can_change` Auftrag kann geändert werden (optional)
`boolean` `can_delete` Auftrag kann gelöscht werden (optional)
`java.util.Date` `date` Datum der geplanten Ausführung
`java.lang.String` `key` Typ der Überweisung (bankintern)
`Konto` `my` Belastungskonto (Kundenkonto)
`java.lang.String` `orderid` Auftrags-Identifikationsnummer (optional)
`Konto` `other` Empfängerkonto
`java.lang.String[]` `usage` Verwendungszweckzeilen.
`Value` `value` Zu überweisender Betrag

### Constructor Summary

Constructors
`Entry()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUsage​(java.lang.String st)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### my

    public Konto my

Belastungskonto (Kundenkonto)

#### other

    public Konto other

Empfängerkonto

#### value

    public Value value

Zu überweisender Betrag

#### key

    public java.lang.String key

Typ der Überweisung (bankintern)

#### addkey

    public java.lang.String addkey

weitere Informationen zum Typ der Überweisung (bankintern, optional)

#### usage

    public java.lang.String[] usage

Verwendungszweckzeilen. Dieses Array ist niemals `null`, kann aber die Länge `0` haben.

#### date

    public java.util.Date date

Datum der geplanten Ausführung

#### orderid

    public java.lang.String orderid

Auftrags-Identifikationsnummer (optional)

#### can_change

    public boolean can_change

Auftrag kann geändert werden (optional)

#### can_delete

    public boolean can_delete

Auftrag kann gelöscht werden (optional)

### Constructor Detail

#### Entry

    public Entry()

### Method Detail

#### addUsage

    public void addUsage​(java.lang.String st)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`